package cn.ezhizao.project.business.workOrder.service.impl;

import cn.ezhizao.project.business.workOrder.domain.BizWorkOrder;
import cn.ezhizao.project.business.workOrder.mapper.BizWorkOrderMapper;
import cn.ezhizao.project.business.workOrder.service.IBizWorkOrderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 工单信息Service业务层处理
 *
 * @author ruoyi
 * @date 2023-10-16
 */
@Service
public class BizWorkOrderServiceImpl  extends ServiceImpl<BizWorkOrderMapper, BizWorkOrder> implements IBizWorkOrderService
{
    @Resource
    private BizWorkOrderMapper bizWorkOrderMapper;

    /**
     * 查询工单信息列表
     *
     * @param bizWorkOrder 工单信息
     * @return 工单信息
     */
    @Override
    public List<BizWorkOrder> getList(BizWorkOrder bizWorkOrder)
    {
        return bizWorkOrderMapper.getList(bizWorkOrder);
    }

    /**
     * 物理删除
     * @param bizWorkOrder
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizWorkOrder bizWorkOrder){ return bizWorkOrderMapper.physicalDelete(bizWorkOrder); }

    @Override
    public int insertTasks(List<Map<String, Object>> tableValues) {
        return bizWorkOrderMapper.insertTasks(tableValues);
    }

    @Override
    public int stopTasks(List<Map<String, Object>> tableValues) {
        return bizWorkOrderMapper.stopTasks(tableValues);
    }

    @Override
    public List<BizWorkOrder> selectStarMonthList(BizWorkOrder workOrder) {
        return bizWorkOrderMapper.selectStarMonthList(workOrder);
    }

}
